Bug 118238 - Mounting a floppy causes unnecessary error.
Mounting a floppy causes unnecessary error.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-14 03:21 EST by J.B. Nicholson-Owens
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 14:55:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2004-03-14 03:21:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When I mount a floppy with Nautilus, I get an error:

  /dev/fd0: Invalid argument

but it apparently doesn't stop the floppy from working perfectly well.

Version-Release number of selected component (if applicable):
2.4.0-7

How reproducible:
Always

Steps to Reproduce:
1. Insert a floppy into a floppy drive (I used a FAT formatted floppy).
2. Right-click on the background, then pick Drives->Floppy (or
whichever corresponds to your floppy drive).
3. Left-click on the menu choice to select.
4. Watch for an error, then pick the "Details" button.

Actual Results:  I get the error "/dev/fd0: Invalid argument" error.

Expected Results:  I should get no error.

Additional info:

When I mount the floppy on the command line as root with:

# mount -v /mnt/floppy
mount: you didn't specify a filesystem type for /dev/fd0
       I will try all types mentioned in /etc/filesystems or
/proc/filesystems
Trying vfat
mount: block device /dev/fd0 is write-protected, mounting read-only
mount: you didn't specify a filesystem type for /dev/fd0
       I will try all types mentioned in /etc/filesystems or
/proc/filesystems
Trying vfat
/dev/fd0 on /mnt/floppy type vfat (ro,nosuid,nodev)

I'm using mount-2.11y-29.
Comment 1 Matthew Miller 2006-07-11 13:48:32 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 14:55:26 EDT
Closing per lack of response to prior request.  

Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Please
install a still supported version and retest.  If this still occurs on FC3 or
FC4 and is a security issue, please assign to that version and Fedora Legacy. 
If it still occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.